ImageFormat (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.image.ImageFormat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.epoc.engine.image
Class ImageFormat

    java.lang.Object
      com.nokia.carbide.cpp.epoc.engine.image.ImageFormat

    public class ImageFormat

extends java.lang.Object

Utility class to convert back/forth from the compact is-color/depth/mask depth strings used in Symbian build files.

Field Summary
`int` | `depth`
`boolean` | `isColor`
`int` | `maskDepth`

Constructor Summary
`ImageFormat(boolean isColor, int depth)`
`ImageFormat(boolean isColor, int depth, int maskDepth)`
`ImageFormat(java.lang.String format)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getDepth()`
`int` | `getMaskDepth()`
`boolean` | `isColor()`
`static boolean` | `matches(java.lang.String format)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### isColor

    public boolean isColor

### depth

    public int depth

### maskDepth

    public int maskDepth

Constructor Detail

### ImageFormat

    public ImageFormat(java.lang.String format)

### ImageFormat

    public ImageFormat(boolean isColor,
                       int depth,
                       int maskDepth)

### ImageFormat

    public ImageFormat(boolean isColor,
                       int depth)

Method Detail

### matches

    public static boolean matches(java.lang.String format)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### isColor

    public boolean isColor()

### getDepth

    public int getDepth()

  Returns:
    the depth

### getMaskDepth

    public int getMaskDepth()

  Returns:
    the maskDepth

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD